
subtle - Bug #236

Wifi sublet - unhandled condition

07/18/2011 04:52 AM - david unric

Status: Fixed Start date: 07/18/2011

Priority: Urgent Due date:  

Assignee: Christoph Kappel % Done: 0%

Category: Bugfix Estimated time: 0.00 hour

Target version: Nu   

Description

Hi,

just a small bug in wifi.rb on line 36 causes script to abort with unhandled exception when link variable is not initialized.

Either fix the mentioned line

s.data = '%s%s (%d/100)' % [ s.icon, essid.strip, link ]

with something like

s.data = '%s%s (%d/100)' % [ s.icon, essid.strip, link.nil? ? 0 : link ]

or directly handle fail case of '/proc/net/wireless' file parsing on line 19:

link, level, noise = wireless.scan(/#{s.device}:s*d*s*([0-9-]+).s+([0-9-]+).s+([0-9-]+)/).flatten

History

#1 - 07/18/2011 09:58 AM - Christoph Kappel

- Target version set to Nu

- Assignee set to Non member users

- Status changed from Unconfirmed to Confirmed

- Category set to Bugfix

What is in /proc/net/wireless when the link level is empty?

#2 - 07/18/2011 08:24 PM - Christoph Kappel

- Status changed from Confirmed to Fixed

Fixed in wifi-0.7.

Powered by TCPDF (www.tcpdf.org)

04/09/2024 1/1

http://www.tcpdf.org

